Package org.springframework.security.authentication.ott

# Class GenerateOneTimeTokenRequest

java.lang.Object
org.springframework.security.authentication.ott.GenerateOneTimeTokenRequest

public class GenerateOneTimeTokenRequest extends Object
Class to store information related to an One-Time Token authentication request

Since:
  6.4

## Constructor Summary

Constructors
Constructor
Description
`GenerateOneTimeTokenRequest(String username)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getUsername()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenerateOneTimeTokenRequest

public GenerateOneTimeTokenRequest(String username)

## Method Details

### getUsername

public String getUsername()